# PATCH /activities/:activity_id

**Resource:** [Activities](./activities.md)  
**MCP tool:** `update_activity`  
**Scopes:** `activities:write`  
**Write operation:** yes

Update an activity. Pass only the fields you want to change. Pass deal_ids array to replace linked opportunities atomically.

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `activity_id` | path | string | yes |  |
| `activity_type` | body | string | no |  |
| `subject` | body | string | no |  |
| `description` | body | string | no |  |
| `contact_id` | body | string | no |  |
| `customer_id` | body | string | no |  |
| `task_id` | body | string | no |  |
| `deal_ids` | body | array | no |  |

## Request example

```bash
curl -X PATCH   "https://api.trustpager.com/functions/v1/api/v1/activities/:activity_id"   -H "Authorization: Bearer YOUR_API_KEY"   -H "Content-Type: application/json"   -d '{"activity_type":"...","subject":"...","description":"..."}'
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`